<!doctype html>
<html>
<head>
    <title>Tor 0.2.0.33-stable released | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor 0.2.0.33-stable released | Tor Project">
    <meta property="og:description" content="Tor 0.2.0.33 fixes a variety of bugs that were making relays less useful to users. It also...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-02033-stable-released/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor 0.2.0.33-stable released
      </h1>
    <p class="meta">by phobos | January 22, 2009</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor 0.2.0.33 fixes a variety of bugs that were making relays less useful<br />
to users. It also finally fixes a bug where a relay or client that's<br />
been off for many days would take a long time to bootstrap.</p>

<p>This update also fixes an important security-related bug reported by<br />
Ilja van Sprundel. You should upgrade. (We'll send out more details<br />
about the bug once people have had some time to upgrade.)</p>

<p><a href="https://www.torproject.org/download.html" rel="nofollow">https://www.torproject.org/download.html</a></p>

<p>Changes in version 0.2.0.33 - 2009-01-21<br />
<strong>Security fixes:</strong></p>

<ul>
<li>Fix a heap-corruption bug that may be remotely triggerable on<br />
      some platforms. Reported by Ilja van Sprundel.</li>
</ul>

<p><strong>Major bugfixes:</strong></p>

<ul>
<li>When a stream at an exit relay is in state "resolving" or<br />
      "connecting" and it receives an "end" relay cell, the exit relay<br />
      would silently ignore the end cell and not close the stream. If<br />
      the client never closes the circuit, then the exit relay never<br />
      closes the TCP connection. Bug introduced in Tor 0.1.2.1-alpha;<br />
      reported by "wood".</li>
<li>When sending CREATED cells back for a given circuit, use a 64-bit<br />
      connection ID to find the right connection, rather than an addr:port<br />
      combination. Now that we can have multiple OR connections between<br />
      the same ORs, it is no longer possible to use addr:port to uniquely<br />
      identify a connection.</li>
<li>Bridge relays that had DirPort set to 0 would stop fetching<br />
      descriptors shortly after startup, and then briefly resume<br />
      after a new bandwidth test and/or after publishing a new bridge<br />
      descriptor. Bridge users that try to bootstrap from them would<br />
      get a recent networkstatus but would get descriptors from up to<br />
      18 hours earlier, meaning most of the descriptors were obsolete<br />
      already. Reported by Tas; bugfix on 0.2.0.13-alpha.</li>
<li>Prevent bridge relays from serving their 'extrainfo' document<br />
      to anybody who asks, now that extrainfo docs include potentially<br />
      sensitive aggregated client geoip summaries. Bugfix on<br />
      0.2.0.13-alpha.</li>
<li>If the cached networkstatus consensus is more than five days old,<br />
      discard it rather than trying to use it. In theory it could be<br />
      useful because it lists alternate directory mirrors, but in practice<br />
      it just means we spend many minutes trying directory mirrors that<br />
      are long gone from the network. Also discard router descriptors as<br />
      we load them if they are more than five days old, since the onion<br />
      key is probably wrong by now. Bugfix on 0.2.0.x. Fixes bug 887.</li>
</ul>

<p><strong>Minor bugfixes:</strong></p>

<ul>
<li>Do not mark smartlist_bsearch_idx() function as ATTR_PURE. This bug<br />
      could make gcc generate non-functional binary search code. Bugfix<br />
      on 0.2.0.10-alpha.</li>
<li>Build correctly on platforms without socklen_t.</li>
<li>Compile without warnings on solaris.</li>
<li>Avoid potential crash on internal error during signature collection.<br />
      Fixes bug 864. Patch from rovv.</li>
<li>Correct handling of possible malformed authority signing key<br />
      certificates with internal signature types. Fixes bug 880.<br />
      Bugfix on 0.2.0.3-alpha.</li>
<li>Fix a hard-to-trigger resource leak when logging credential status.<br />
      CID 349.</li>
<li>When we can't initialize DNS because the network is down, do not<br />
      automatically stop Tor from starting. Instead, we retry failed<br />
      dns_inits() every 10 minutes, and change the exit policy to reject<br />
      *:* until one succeeds. Fixes bug 691.</li>
<li>Use 64 bits instead of 32 bits for connection identifiers used with<br />
      the controller protocol, to greatly reduce risk of identifier reuse.</li>
<li>When we're choosing an exit node for a circuit, and we have<br />
      no pending streams, choose a good general exit rather than one that<br />
      supports "all the pending streams". Bugfix on 0.1.1.x. Fix by rovv.</li>
<li>Fix another case of assuming, when a specific exit is requested,<br />
      that we know more than the user about what hosts it allows.<br />
      Fixes one case of bug 752. Patch from rovv.</li>
<li>Clip the MaxCircuitDirtiness config option to a minimum of 10<br />
      seconds. Warn the user if lower values are given in the<br />
      configuration. Bugfix on 0.1.0.1-rc. Patch by Sebastian.</li>
<li>Clip the CircuitBuildTimeout to a minimum of 30 seconds. Warn the<br />
      user if lower values are given in the configuration. Bugfix on<br />
      0.1.1.17-rc. Patch by Sebastian.</li>
<li>Fix a memory leak when we decline to add a v2 rendezvous descriptor to<br />
      the cache because we already had a v0 descriptor with the same ID.<br />
      Bugfix on 0.2.0.18-alpha.</li>
<li>Fix a race condition when freeing keys shared between main thread<br />
      and CPU workers that could result in a memory leak. Bugfix on<br />
      0.1.0.1-rc. Fixes bug 889.</li>
<li>Send a valid END cell back when a client tries to connect to a<br />
      nonexistent hidden service port. Bugfix on 0.1.2.15. Fixes bug<br />
      840. Patch from rovv.</li>
<li>Check which hops rendezvous stream cells are associated with to<br />
      prevent possible guess-the-streamid injection attacks from<br />
      intermediate hops. Fixes another case of bug 446. Based on patch<br />
      from rovv.</li>
<li>If a broken client asks a non-exit router to connect somewhere,<br />
      do not even do the DNS lookup before rejecting the connection.<br />
      Fixes another case of bug 619. Patch from rovv.</li>
<li>When a relay gets a create cell it can't decrypt (e.g. because it's<br />
      using the wrong onion key), we were dropping it and letting the<br />
      client time out. Now actually answer with a destroy cell. Fixes<br />
      bug 904. Bugfix on 0.0.2pre8.</li>
</ul>

<p><strong>Minor bugfixes (hidden services):</strong></p>

<ul>
<li>Do not throw away existing introduction points on SIGHUP. Bugfix on<br />
      0.0.6pre1. Patch by Karsten. Fixes bug 874.</li>
</ul>

<p><strong>Minor features:</strong></p>

<ul>
<li>Report the case where all signatures in a detached set are rejected<br />
      differently than the case where there is an error handling the<br />
      detached set.</li>
<li>When we realize that another process has modified our cached<br />
      descriptors, print out a more useful error message rather than<br />
      triggering an assertion. Fixes bug 885. Patch from Karsten.</li>
<li>Implement the 0x20 hack to better resist DNS poisoning: set the<br />
      case on outgoing DNS requests randomly, and reject responses that do<br />
      not match the case correctly. This logic can be disabled with the<br />
      ServerDNSRamdomizeCase setting, if you are using one of the 0.3%<br />
      of servers that do not reliably preserve case in replies. See<br />
      "Increased DNS Forgery Resistance through 0x20-Bit Encoding"<br />
      for more info.</li>
<li>Check DNS replies for more matching fields to better resist DNS<br />
      poisoning.</li>
<li>Never use OpenSSL compression: it wastes RAM and CPU trying to<br />
      compress cells, which are basically all encrypted, compressed, or<br />
      both.</li>
</ul>

<p>The original announcement can be found at <a href="http://archives.seul.org/or/announce/Jan-2009/msg00000.html" rel="nofollow">http://archives.seul.org/or/announce/Jan-2009/msg00000.html</a></p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-559"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-559" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://www.gentoo.org">Craig (not verified)</a> said:</p>
      <p class="date-time">January 23, 2009</p>
    </div>
    <a href="#comment-559">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-559" class="permalink" rel="bookmark">&quot;Some platforms&quot;</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Which platforms are affected? A mail would suffice.</p>
<p>Craig / Gentoo Security<br />
(<a href="https://bugs.gentoo.org/show_bug.cgi?id=256078" rel="nofollow">https://bugs.gentoo.org/show_bug.cgi?id=256078</a>)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-567"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-567" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 25, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-559" class="permalink" rel="bookmark">&quot;Some platforms&quot;</a> by <a rel="nofollow" href="http://www.gentoo.org">Craig (not verified)</a></p>
    <a href="#comment-567">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-567" class="permalink" rel="bookmark">Time</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We're giving people time to upgrade before announcing the details.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-561"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-561" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Gene (not verified)</span> said:</p>
      <p class="date-time">January 23, 2009</p>
    </div>
    <a href="#comment-561">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-561" class="permalink" rel="bookmark">This might be a dumb question but...</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have searched the site but haven't found the following info:</p>
<p>I already have an older version of Tor installed on my iMac (Leopard) and in order to install the new stable version, do I need to uninstall the previous one or does the installer simply overwrites the previous version?</p>
<p>Thanks,<br />
Gene</p>
<p>p.s. the captcha is not visually impaired friendly...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-568"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-568" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 25, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-561" class="permalink" rel="bookmark">This might be a dumb question but...</a> by <span>Gene (not verified)</span></p>
    <a href="#comment-568">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-568" class="permalink" rel="bookmark">Simply install.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor packages overwrite the existing installation.  There is no need to un-install and then install at this time.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-564"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-564" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 25, 2009</p>
    </div>
    <a href="#comment-564">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-564" class="permalink" rel="bookmark">Runs quiet good. I&#039;m running</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Runs quiet good. I'm running 0.2.0.33-stable at ~1600kilobyte/s with 60mb RAM usage. Before i was running 0.2.0.32-stable at ~1600kilobyte/s with 190mb RAM usage. And i think this release will speedup the tor network, because most node speed is limitit by RAM/CPU usage. </p>
<p>so..Thanks for this release. :-)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-565"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-565" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 25, 2009</p>
    </div>
    <a href="#comment-565">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-565" class="permalink" rel="bookmark">Uninstall</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How can I uninstall Tor?Tried it but don't like it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-569"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-569" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 25, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-565" class="permalink" rel="bookmark">Uninstall</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-569">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-569" class="permalink" rel="bookmark">It depends on your operating system.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>For Windows, just run the uninstaller.</p>
<p>For Apple, <a href="https://www.torproject.org/docs/tor-doc-osx.html.en#uninstall" rel="nofollow">https://www.torproject.org/docs/tor-doc-osx.html.en#uninstall</a></p>
<p>For linux, remove the rpms or whatever is your native package system</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1628"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1628" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Katia (not verified)</span> said:</p>
      <p class="date-time">June 24, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1628">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1628" class="permalink" rel="bookmark">UNistall</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I dont have uninstall Tor in my computer. What I do to uninstall it? I use Windows Vista.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-575"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-575" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 26, 2009</p>
    </div>
    <a href="#comment-575">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-575" class="permalink" rel="bookmark">Uninstall</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>My operating system is XP,but I don't see uninstaller.I don't even see Tor in start menu or add or remove programs in control panel.Where can I find uninstaller?Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-577"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-577" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 26, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-575" class="permalink" rel="bookmark">Uninstall</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-577">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-577" class="permalink" rel="bookmark">uhm</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>you have to install it first. Then you might be able to uninstall it...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-584"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-584" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 26, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-575" class="permalink" rel="bookmark">Uninstall</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-584">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-584" class="permalink" rel="bookmark">TBB?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you downloaded TBB, it doesn't install.  It's a "zero-install" configuration.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-597"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-597" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 29, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-597">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-597" class="permalink" rel="bookmark">So I can&#039;t uninstall this?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>So I can't uninstall this?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-601"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-601" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">February 02, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-597" class="permalink" rel="bookmark">So I can&#039;t uninstall this?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-601">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-601" class="permalink" rel="bookmark">there isn&#039;t an install</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you are using the TBB, there is no installation, therefore there is no "un-installation".  Simply delete the directory you created for the TBB.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2996"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2996" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://ezinearticles.com/?Natural-Colon-Cleanse---The-Best-Natural-Colon-Cleanse-Method-That-Really-Works=&amp;id=2711200">colon cleanse (not verified)</a> said:</p>
      <p class="date-time">November 03, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-2996">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2996" class="permalink" rel="bookmark">Hi there, my name is Colon</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi there, my name is <a href="http://ezinearticles.com/?Natural-&#10;&#10;Colon-Cleanse---The-Best-Natural-Colon-Cleanse-Method-That-Really&#10;&#10;-Works&amp;id=2711200" rel="nofollow">Colon Cleanse</a>Very true. There is nothing </p>
<p>more annoying than unsolicited advice. If a person isn’t asking </p>
<p>you for help or advice, it’s none of your business to intrude.I </p>
<p>totally agree with you.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div><a id="comment-576"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-576" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 26, 2009</p>
    </div>
    <a href="#comment-576">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-576" class="permalink" rel="bookmark">Suse binaries</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Will there soon be precompiled Suse Binaries?<br />
I tried to ompile from source but it doesn't like my openssl.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-585"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-585" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 26, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-576" class="permalink" rel="bookmark">Suse binaries</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-585">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-585" class="permalink" rel="bookmark">Coming soon.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>They're coming soon, possibly tonight.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-593"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-593" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 28, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-576" class="permalink" rel="bookmark">Suse binaries</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-593">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-593" class="permalink" rel="bookmark">suse rpms are now available.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>based on opensuse 11, the rpms are now available.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-587"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-587" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 27, 2009</p>
    </div>
    <a href="#comment-587">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-587" class="permalink" rel="bookmark">Changed Vidalia 1.1.0 exe/dll in latest vidalia-bundle  </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please look into the lastest bundles package for Windows  (vidalia-bundle-0.2.0.33-0.1.10.exe) and into the previous one (vidalia-bundle-0.2.0.32-0.1.10.exe).</p>
<p>In both bundles Vidalia have the same version (1.1.0) but there are 3 files changed.</p>
<p>In vidalia-bundle-0.2.0.33-0.1.10.exe:<br />
SHA1(vidalia.exe)= 987592a629b9b768576bb3dd1f25be674eeb7609<br />
SHA1(ssleay32.dll)= 152edc88462c8c2172e9b633f231d9713b7c5f8b<br />
SHA1(QtCore4.dll)= 4a1d7f735a267f66c1616ba6c1b0ec99581326aa</p>
<p>In vidalia-bundle-0.2.0.32-0.1.10.exe<br />
SHA1(vidalia.exe)= 319fd6eaa6e8037af668bacb4cd9f90635d93df3<br />
SHA1(ssleay32.dll)= 96fa129d753d27687525801df696fd900dcdfce0<br />
SHA1(QtCore4.dll)=  e6a6789c72c690a9c7cd06f26285a965014ba105</p>
<p>Why vidalia.exe is different ?</p>
<p>Why the QtCore4.dll is different ? </p>
<p>(both QtCore4.dll says to be version 4.4.3.0)</p>
<p>Am I only a paranoid freak and all is OK ? </p>
<p>Can we trust the new 0.2.0.33 bundle ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-595"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-595" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 28, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-587" class="permalink" rel="bookmark">Changed Vidalia 1.1.0 exe/dll in latest vidalia-bundle  </a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-595">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-595" class="permalink" rel="bookmark">Everything was updated from scratch.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>A few things:</p>
<p>1) Vidalia for 0.2.0.32 was built by the Vidalia developer Matt, using my tor.exe.  0.2.0.33 vidalia-bundle was built by me from scratch; using the published steps.<br />
2) ssl in the 0.2.0.33 bundle is openssl 0.9.8j, which is the latest version and newer than the version of openssl in 0.2.0.32 bundles.<br />
3) Vidalia for 0.2.0.32 was built by the Vidalia developer Matt, using my tor.exe.  0.2.0.33 vidalia-bundle was built by me from scratch; using the published steps. I don't know why QtCore4.dll is different, since both Matt and I installed from the .exe on trolltech's website.  </p>
<p>I signed the 0.2.0.33 bundle because I built it.  Matt signed the 0.2.0.32 bundle because he built it.  You're free to take our instructions and build your own bundle from the same source code I used.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-588"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-588" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 27, 2009</p>
    </div>
    <a href="#comment-588">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-588" class="permalink" rel="bookmark">Flash Player (not)</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Pardon a query from an newbie, but I keep getting an error message that my flash player is not installed (although it is, and works fine when I run Firefox non-Tor), with the result that I can't view any videos.  Advice welcome.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-590"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-590" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">January 28, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-588" class="permalink" rel="bookmark">Flash Player (not)</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-590">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-590" class="permalink" rel="bookmark">Re: Flash Player (not)</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://www.torproject.org/torbutton/faq.html.en#noflash" rel="nofollow">https://www.torproject.org/torbutton/faq.html.en#noflash</a></p>
<p>Basically, Flash is unsafe currently. Any website that you accept flash<br />
from can de-anonymize you.</p>
<p>Down the road, we hope to have some more well-understood VM-based<br />
solution, like what Janus VM and Xerobank VM aim to do currently. But<br />
for now, the best answer is either not to use flash with Tor, or to enable<br />
plugins as the other comment suggested but then understand the risks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-591"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-591" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 28, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-591">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-591" class="permalink" rel="bookmark">I appreciate the help.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I appreciate the help.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-592"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-592" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>PETER (not verified)</span> said:</p>
      <p class="date-time">January 28, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-591" class="permalink" rel="bookmark">I appreciate the help.</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-592">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-592" class="permalink" rel="bookmark">Thanx  4 tellling tat !</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanx  4 tellling tat !</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-1078"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1078" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 01, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-1078">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1078" class="permalink" rel="bookmark">How do I enable plugins with</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How do I enable plugins with Tor?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-589"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-589" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>PETER (not verified)</span> said:</p>
      <p class="date-time">January 27, 2009</p>
    </div>
    <a href="#comment-589">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-589" class="permalink" rel="bookmark">hey buddy go 2 the  Add on</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hey buddy go 2 the  Add on Tor button there is a option called Disable Plugins sume where, it is marked . unmark it  then it will work . Give it a try buddy!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-594"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-594" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 28, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-589" class="permalink" rel="bookmark">hey buddy go 2 the  Add on</a> by <span>PETER (not verified)</span></p>
    <a href="#comment-594">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-594" class="permalink" rel="bookmark">read up 3 comments</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Read what arma stated 3 comments up.  Flash over Tor isn't safe for your anonymity.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6734"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6734" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 15, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-589" class="permalink" rel="bookmark">hey buddy go 2 the  Add on</a> by <span>PETER (not verified)</span></p>
    <a href="#comment-6734">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6734" class="permalink" rel="bookmark">thanx!!! ;)</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>thanx!!! ;)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-596"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-596" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Louis (not verified)</span> said:</p>
      <p class="date-time">January 29, 2009</p>
    </div>
    <a href="#comment-596">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-596" class="permalink" rel="bookmark">Re: Installation latest version of Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I need some assistance please. I am a basic computer user but I have<br />
been able to install Tor which I have been using daily for months now. My OS is MacOsx Panther 10.3.9 and the Tor bundle installed is 0.2.0.31. The OS is being operated from an external HD. </p>
<p>I am no longer able to upgrade to the latest Tor versions (0.2.0.33) because as soon as I open the installer package of the new version I get the error message:</p>
<p>       The Installer package "vidalia-bundle - 0.2.0.33-0.10-ppc" cannot be<br />
        opened.</p>
<p>        The Bill of Materials for this package was not found.</p>
<p>I have tried several times with the same result. I have tried moving the old Tor, Privoxy and Vidalia folders to  the trash but I still get the error message!. Am I doing something wrong? I have always upgraded to<br />
new stable versions of Tor this way.</p>
<p>Thank you in advance for your help.</p>
<p>Louis</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-600"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-600" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">February 02, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-596" class="permalink" rel="bookmark">Re: Installation latest version of Tor</a> by <span>Louis (not verified)</span></p>
    <a href="#comment-600">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-600" class="permalink" rel="bookmark">bug report</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Could you open a bug report at <a href="https://bugs.torproject.org/" rel="nofollow">https://bugs.torproject.org/</a> ?  If you could attach the relevant parts of the install.log from /var/log/install.log to the bug that would be great.  Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-602"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-602" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Louis (not verified)</span> said:</p>
      <p class="date-time">February 03, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-602">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-602" class="permalink" rel="bookmark">Intallation of Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you for the reply to my post. I shall look for the log, register at<br />
the address you have given, post it there with an explanation of the<br />
difficulty I am encountering.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-669"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-669" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">February 15, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-596" class="permalink" rel="bookmark">Re: Installation latest version of Tor</a> by <span>Louis (not verified)</span></p>
    <a href="#comment-669">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-669" class="permalink" rel="bookmark">Fixed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This is fixed, and was tracked as bug 924.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-1519"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1519" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Frank Marin (not verified)</span> said:</p>
      <p class="date-time">June 10, 2009</p>
    </div>
    <a href="#comment-1519">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1519" class="permalink" rel="bookmark">tor versions compatible with Mac OSX 10.3.9 ? </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I thought Tor wasn't compatible with any Mac OS earlier than 10.4, but the 1-29-09 question from Louis (Re: Installation latest version of Tor) seemed to suggest that I can Run Tor on my OS 10.3.9.</p>
<p>Can I run Tor on 10.3.9?  If so, what version and where do I get it?  Any assistance would be appreciated.</p>
<p>Thanks,<br />
Frank Marin</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1522"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1522" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 11, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1519" class="permalink" rel="bookmark">tor versions compatible with Mac OSX 10.3.9 ? </a> by <span>Frank Marin (not verified)</span></p>
    <a href="#comment-1522">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1522" class="permalink" rel="bookmark">re: tor versions compatible with Mac OSX 10.3.9 ? </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, Tor works with OS X 10.3.9.  You can download it at <a href="https://www.torproject.org/download" rel="nofollow">https://www.torproject.org/download</a>.  Look at the second Apple icon where it says "PowerPC Only (OSX 10.3)".</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-1552"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1552" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>tezzer (not verified)</span> said:</p>
      <p class="date-time">June 18, 2009</p>
    </div>
    <a href="#comment-1552">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1552" class="permalink" rel="bookmark">Install Failed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I tried installing the Tor bundle on my mac running 10.5.7.  Installation failed with the following error.  "The following install step failed:  run postflight script for Tor"<br />
Anyone know the reason for this?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1649"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1649" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Paul Bergstein (not verified)</span> said:</p>
      <p class="date-time">June 26, 2009</p>
    </div>
    <a href="#comment-1649">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1649" class="permalink" rel="bookmark">Cannot upgrade or uninstall tor 0.2.31 on OS X </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I currently have Tor 0.2.31 installed on OS X 10.4.11. </p>
<p>When I run the installer for the latest release (0.2.35) the installer says there is already a newer version of Tor installed. If I continue with the install anyway, it fails. There is no error message but the new version does not run.</p>
<p>After restoring the old version of Tor (0.2.31) from backup, everything is OK. Then I tried to uninstall the old version using the supplied script, but it fails, giving me:</p>
<p><a href="mailto:root@sebago" rel="nofollow">root@sebago</a>&gt; ./uninstall_tor_bundle.sh<br />
. tor process appears to already be stopped<br />
. Killing currently running privoxy process, pid is 196<br />
./uninstall_tor_bundle.sh: line 123: ./package_list.txt: No such file or directory<br />
. Removing created user _tor<br />
delete: Invalid Path<br />
. Cleaning up<br />
rm: fts_read: No such file or directory<br />
. Finished</p>
<p>Next, I restored again from backup and tried to manually uninstall following the documentation. However, some of the files and directories that are supposed to be deleted do not exist on my installation. Other files and directories that obviously belong to Tor are not listed in the documentation of what to delete. </p>
<p>After deleting everything I could find that looks like it belongs to Tor I ran the installer for version 0.2.35 again and it says the install was successful, but after restarting and trying to start vidalia, it doesn't run.</p>
<p>Now I have 0.2.31 running again after restoring again from backup, but I am at a total loss as to how to properly uninstall or upgrade!!</p>
<p>Please help!!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1794"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1794" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 12, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1649" class="permalink" rel="bookmark">Cannot upgrade or uninstall tor 0.2.31 on OS X </a> by <span>Paul Bergstein (not verified)</span></p>
    <a href="#comment-1794">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1794" class="permalink" rel="bookmark">I have the exact same</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have the exact same problem. I installed the latest version of Tor, I am told a newer version is already installed, and then when I run Vidalia it doesn't work -- it loads about halfway but never connects to the network.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1795"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1795" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 12, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1794" class="permalink" rel="bookmark">I have the exact same</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1795">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1795" class="permalink" rel="bookmark">same person as above:</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>same person as above: message log reports ...</p>
<p>Jul 12 06:31:38.138 [Notice] Initialized libevent version 1.4.11-stable using method kqueue. Good.<br />
Jul 12 06:31:38.138 [Notice] Opening Socks listener on 127.0.0.1:9050<br />
Jul 12 06:31:38.139 [Notice] Opening Control listener on 127.0.0.1:9051<br />
Jul 12 06:31:38.190 [Notice] Parsing GEOIP file.<br />
Jul 12 06:31:39.822 [Notice] I learned some more directory information, but not enough to build a circuit: We have no network-status consensus.<br />
Jul 12 06:31:39.822 [Notice] Bootstrapped 5%: Connecting to directory server.</p>
<p>... this is where it stops every time.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-3547"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3547" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 14, 2009</p>
    </div>
    <a href="#comment-3547">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3547" class="permalink" rel="bookmark">I have something similar -</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have something similar - but different - have a black macbook os x 10.4.11 belong to a friend. I downloaded latest Tor release, now when I try to launch vidalia nothing happens. </p>
<p>The app won't even launch. When I click on vidalia it doesn't even appear to start to launch, even when I view what happens in the 'dock'  i.e. the icon starts to launch then immediuately stops - no 'bouncing icon' if you know what I mean. </p>
<p>Have tried to load various different versions of Vidalia/tor/polipo. None of them work. The only other version I have that I know works is the one I  use on my own titainium PPC G4 (10.4.11) which as I said, is for PPC so just out of curiosity I loaded that, which launches fine and reports that it connects to the tor-network but 'TOR button' reports that the 'proxy refusing connections.' which is not too surprising since it's for PPC</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3674"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3674" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 21, 2009</p>
    </div>
    <a href="#comment-3674">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3674" class="permalink" rel="bookmark">I must admit that today is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I must admit that today is my first time I visit here. However, I have found so many interesting thing in your blog and I really love that. Keep up the good work!I think you should try <a href="http://www.goarticles.com/cgi-bin/showa.cgi?C=2392259" rel="nofollow">Reverse Phone Lookup</a>  atleast once</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3912"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3912" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 08, 2010</p>
    </div>
    <a href="#comment-3912">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3912" class="permalink" rel="bookmark">I loaded that, which</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I loaded that, which launches fine and reports that it connects to the tor-network but 'TOR button' reports that the 'proxy refusing connections.' which is not too surprising since it's for PPC.<br />
<a href="http://www.goarticles.com/cgi-bin/showa.cgi?C=2404067" rel="nofollow">Netflix</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3941"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3941" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 10, 2010</p>
    </div>
    <a href="#comment-3941">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3941" class="permalink" rel="bookmark">Thanks for taking the time</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for taking the time to discuss this, I feel strongly about it and love learning more on this topic. If possible, as you gain expertise, would you mind updating your blog with more information? It is extremely helpful for me.</p>
<p><a href="http://www.articlesbase.com/law-articles/criminal-background-check-what-is-criminal-background-check-and-why-is-it-important-for-you-1608595.html" rel="nofollow">Criminal Backgrond Check</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4171"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4171" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 28, 2010</p>
    </div>
    <a href="#comment-4171">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4171" class="permalink" rel="bookmark">I must say your post is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I must say your post is fabulous. thanks for telling all this to us.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5701"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5701" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 18, 2010</p>
    </div>
    <a href="#comment-5701">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5701" class="permalink" rel="bookmark">How can i log on to my MT4</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How can i log on to my MT4 meter trader forex platform using tor, also how can i log on to skype using tor. i tried it several times but it did not work. can i log on to this sites with tor? do i need to enable any thing to log on?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5780"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5780" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 30, 2010</p>
    </div>
    <a href="#comment-5780">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5780" class="permalink" rel="bookmark">How do I connect my forex</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How do I connect my forex meta trader 4 (mt4) to tor circuit</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
